#ifndef __TaylorsData_Base_h__
#define __TaylorsData_Base_h__

#include <TaylorsData/TaylorsData.h>

#include <TaylorsData/Exception.h>

#include <Base4c/Publisher.h>

#include <librfcdal/DalDatabase.h>

namespace TaylorsData
{
	class TaylorsData_Export Base : public Base4c::Publisher
	{
		public:
			enum Change{ del=-1, modify=0, add=1 };

		public:
			Base();
			Base( const Base& base );
			virtual ~Base();

			const Base& operator=( const Base& base );

			virtual void update( RfcDal::DalDatabase& conn ) = 0;
	};
};

#endif /* !__TaylorsData_Base_h__ */
