#ifndef __TaylorsData_TaylorsData_h__
#define __TaylorsData_TaylorsData_h__

#if defined (TaylorsData_Export)
#	undef TaylorsData_Export
#endif /* TaylorsData_Export*/

#if defined (_WINDOWS)
#	include <windows.h>
#	if defined (TAYLORSDATA_EXPORTS)
#		define TaylorsData_Export __declspec( dllexport )
#	else
#		define TaylorsData_Export __declspec( dllimport )
#	endif /* TAYLORSDATA_EXPORTS */
#else
#	define TaylorsData_Export
#endif /* _WINDOWS */

#include <string>

namespace TaylorsData
{
	TaylorsData_Export std::string to128( const std::string& str );
	TaylorsData_Export std::string to128VB( const std::string& str );
}

#endif /* !__TaylorsData_TaylorsData_h__ */
