#ifndef ADVANCEDIMAGEWIDGET_H
#define ADVANCEDIMAGEWIDGET_H

#include <TaylorsData/Article.h>

#include <QWidget>

#include <QTreeWidgetItem>

namespace Ui
{
	class AdvancedImageWidget;
}

namespace TaylorsUIComponents
{
	class AdvancedImageWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::AdvancedImageWidget *ui;
			TaylorsData::Article* _particle;
			QString _strImagePath;

		public:
			explicit AdvancedImageWidget(QWidget *parent = 0);
			~AdvancedImageWidget();

			void setArticle( TaylorsData::Article& article );
			void save();

		protected slots:
			void onAdd();
			void onDel();
			void onAddAll();
			void onClickedImage( QTreeWidgetItem* pitem, int nCol );
			void onItemChanged( QTreeWidgetItem* pitem, int nCol );
	};
}

#endif // ADVANCEDIMAGEWIDGET_H
