#ifndef ANTIQUEMANAGERCHILDWINDOW_H
#define ANTIQUEMANAGERCHILDWINDOW_H

#include <QMainWindow>
#include <QAction>
#include <QCloseEvent>

namespace TaylorsUIComponents
{
	class AntiqueManagerChildWindow : public QMainWindow
	{
		Q_OBJECT

		private:
			QAction* _paction;
			static QIcon _ico;
			static bool _bLoaded;

		public:
			explicit AntiqueManagerChildWindow( QWidget *parent = 0 );
			virtual ~AntiqueManagerChildWindow();

			QAction* action();
			void setWindowTitle( const QString& strTitle );

			static QIcon& icon();

		protected:
			virtual void closeEvent( QCloseEvent* pe );

		protected slots:
			void toTop();
	};
}

#endif // ANTIQUEMANAGERCHILDWINDOW_H
