#ifndef ARTICLELISTWIDGETITEM_H
#define ARTICLELISTWIDGETITEM_H

#include <TaylorsData/Article.h>

#include <Base4c/Subscriber.h>

#include <QListWidgetItem>

namespace TaylorsUIComponents
{
	class ArticleListWidgetItem : public QListWidgetItem, public Base4c::Subscriber
	{
		private:
			TaylorsData::Article& _article;

		public:
			ArticleListWidgetItem( QListWidget* pparent, TaylorsData::Article& article );
			virtual ~ArticleListWidgetItem();

			void refresh();

			TaylorsData::Article& article();

			virtual void notify( Base4c::Publisher* ppublisher, Base4c::Publisher::Notification notification, void* pnotifier );
	};
}

#endif // ARTICLELISTWIDGETITEM_H
