#ifndef CONTAINERLISTWIDGETITEM_H
#define CONTAINERLISTWIDGETITEM_H

#include <TaylorsData/Container.h>

#include <QListWidgetItem>

namespace TaylorsUIComponents
{
	class ContainerListWidgetItem : public QListWidgetItem
	{
		private:
			TaylorsData::Container& _container;

		public:
			ContainerListWidgetItem( QListWidget* pparent, TaylorsData::Container& container );

			TaylorsData::Container& container();
	};
}

#endif // CONTAINERLISTWIDGETITEM_H
