#ifndef CUSTOMERTREEWIDGETITEM_H
#define CUSTOMERTREEWIDGETITEM_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Customer.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class CustomerTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::Customer& _customer;

		public:
			CustomerTreeWidgetItem( QTreeWidget* ptree, TaylorsData::Customer& customer );

			void refresh();

			TaylorsData::Customer& customer();
	};
}

#endif // CUSTOMERTREEWIDGETITEM_H
