#ifndef FORMATCOMBOBOX_H
#define FORMATCOMBOBOX_H

#include <TaylorsData/Format.h>

#include <QComboBox>

namespace TaylorsUIComponents
{
	class FormatComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit FormatComboBox(QWidget *parent = 0);

			void repopulate();

			const TaylorsData::Format& currentItem() const;
			void setCurrentItem( const TaylorsData::Format& type );

		signals:

		public slots:

	};
}

#endif // FORMATCOMBOBOX_H
