#ifndef __GlossaryTextEdit_h__
#define __GlossaryTextEdit_h__

#include <QTextEdit>

#include <GlossaryHighlighter.h>

class Glossary;

namespace TaylorsUIComponents
{
	class GlossaryTextEdit : public QTextEdit
	{
		Q_OBJECT

		private:
			GlossaryHighlighter _highlighter;

		public:
			GlossaryTextEdit( QWidget* pparent = NULL, bool bPrompt = true );
			virtual ~GlossaryTextEdit();

		protected slots:
			void onCMReq(const QPoint& pos);
			void glossarize();

		protected:
			GlossaryTextEdit();
	};
}

#endif /* !__GlossaryTextEdit_h__ */
