#ifndef IMAGEDIALOG_H
#define IMAGEDIALOG_H

#include <TaylorsData/Image.h>

#include <QDialog>

namespace Ui
{
	class ImageDialog;
}

namespace TaylorsUIComponents
{
	class ImageDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::ImageDialog *ui;
			QString _strImagePath;
			TaylorsData::Image& _image;

		public:
			explicit ImageDialog( QWidget* parent, const QString& strImagePath, TaylorsData::Image& image );
			~ImageDialog();

		protected slots:
			void onPhoto0();
			void onPhoto1();
			void onPhoto2();
			void accept();
	};
}

#endif // IMAGEDIALOG_H
