#ifndef IMAGEWIDGET_H
#define IMAGEWIDGET_H

#include <TaylorsData/Article.h>

#include <QWidget>

namespace Ui
{
	class ImageWidget;
}

namespace TaylorsUIComponents
{
	class ImageWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::ImageWidget *ui;
			TaylorsData::Article* _particle;

		public:
			explicit ImageWidget(QWidget *parent = 0);
			~ImageWidget();

			void setArticle( TaylorsData::Article& article );
			void save();
	};
}

#endif // IMAGEWIDGET_H
