#ifndef METAITEMTREEWIDGETITEM_H
#define METAITEMTREEWIDGETITEM_H

#include <TaylorsData/MetaItem.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class MetaItemTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			const TaylorsData::MetaItem* _pmetaItem;

		public:
			explicit MetaItemTreeWidgetItem( QTreeWidget *pparent, const TaylorsData::MetaItem* pmetaItem );
			explicit MetaItemTreeWidgetItem( MetaItemTreeWidgetItem *pparent, const TaylorsData::MetaItem* pmetaItem );
			virtual ~MetaItemTreeWidgetItem();

			const TaylorsData::MetaItem& metaItem() const;

			bool editItem();
	};
}

#endif // METAITEMTREEWIDGETITEM_H
