#ifndef NEWSTREEWIDGETITEM_H
#define NEWSTREEWIDGETITEM_H

#include <TaylorsData/News.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class NewsTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::News& _news;

		public:
			explicit NewsTreeWidgetItem( QTreeWidget* parent, TaylorsData::News& news );

			TaylorsData::News& news();
	};
}

#endif // NEWSTREEWIDGETITEM_H
