#ifndef NEWSWINDOW_H
#define NEWSWINDOW_H

#include <TaylorsUIComponents/AntiqueManagerChildWindow.h>

#include <TaylorsData/News.h>

#include <QMainWindow>

namespace Ui
{
	class NewsWindow;
}

namespace TaylorsUIComponents
{
	class NewsWindow : public AntiqueManagerChildWindow
	{
		Q_OBJECT

		private:
			Ui::NewsWindow *ui;
			TaylorsData::News _news;
			TaylorsData::News* _pnews;

		public:
			explicit NewsWindow(QWidget *parent = 0);
			~NewsWindow();

			const TaylorsData::News& news() const;

			void setNews( TaylorsData::News& news );

		protected slots:
			void onSave();

		protected:
			virtual void closeEvent( QCloseEvent* pe );
	};
}

#endif // NEWSWINDOW_H
