#ifndef OPENARTICLEDIALOG_H
#define OPENARTICLEDIALOG_H

#include <TaylorsData/Article.h>

#include <QDialog>

#include <QTreeWidgetItem>

namespace Ui
{
	class OpenArticleDialog;
}

namespace TaylorsUIComponents
{
	class OpenArticleDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::OpenArticleDialog *ui;
			TaylorsData::Article* _particleCurrent;

		public:
			explicit OpenArticleDialog(QWidget *parent = 0);
			~OpenArticleDialog();

			TaylorsData::Article& article();

		protected slots:
			virtual void accept();
			void onClickedItem( QTreeWidgetItem* pitem, int nCol );
			void onDoubleClickedItem(QTreeWidgetItem* pitem, int nCol );
	};
}

#endif // OPENARTICLEDIALOG_H
