#ifndef OPENBULKPURCHASEDIALOG_H
#define OPENBULKPURCHASEDIALOG_H

#include <QDialog>

class QListWidgetItem;

namespace Ui
{
	class OpenBulkPurchaseDialog;
}

namespace TaylorsUIComponents
{
	class OpenBulkPurchaseDialog : public QDialog
	{
		Q_OBJECT

		public:
			explicit OpenBulkPurchaseDialog(QWidget *parent = 0);
			~OpenBulkPurchaseDialog();

		private:
			Ui::OpenBulkPurchaseDialog *ui;

		protected slots:
			void accept();
			void onClickedContainer( QListWidgetItem* pitem );
			void onCMReqContainer( const QPoint& );
			void onCMReqBulkPurchase( const QPoint& );
	};
}

#endif // OPENBULKPURCHASEDIALOG_H
