#ifndef OPENNEWSDIALOG_H
#define OPENNEWSDIALOG_H

#include <QDialog>

class QTreeWidgetItem;

namespace Ui
{
	class OpenNewsDialog;
}

namespace TaylorsUIComponents
{
	class OpenNewsDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::OpenNewsDialog *ui;

		public:
			explicit OpenNewsDialog(QWidget *parent = 0);
			~OpenNewsDialog();

		protected slots:
			void accept();
			void onDblClickNews( QTreeWidgetItem* pitem, int nCol );
	};
}

#endif // OPENNEWSDIALOG_H
