#ifndef RELOCATEDIALOG_H
#define RELOCATEDIALOG_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Location.h>

#include <QDialog>

namespace Ui {
class RelocateDialog;
}

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT RelocateDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::RelocateDialog *ui;
			QString _strKeySequence;


		public:
			explicit RelocateDialog(QWidget *parent = 0);
			~RelocateDialog();

			void setLocation( const TaylorsData::Location& location );
			void setSubLocation( const TaylorsData::SubLocation& subLocation );

		protected:
			void refresh();

		public slots:
			virtual void accept();
			virtual void reject();
			void onDoneAction();
	};
}

#endif // RELOCATEDIALOG_H
