#ifndef STATUSWIDGET_H
#define STATUSWIDGET_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Status.h>

#include <QWidget>

namespace Ui
{
	class StatusWidget;
}

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT StatusWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::StatusWidget *ui;
			TaylorsData::Status* _pstatus;
			TaylorsData::Status _status;
			bool _bCreating;

		public:
			explicit StatusWidget(QWidget *parent = 0);
			~StatusWidget();

		protected slots:
			void onClickedStatus(TaylorsData::Status& status );
			void onCheckedAutoAdvance( bool bAutoAdvance );
			void onSave();
			void onCMReqStatus( const QPoint& pt );
			void onExport();
	};
}

#endif // STATUSWIDGET_H
