#ifndef ARTICLETREEWIDGETITEM_H
#define ARTICLETREEWIDGETITEM_H

#include <TaylorsData/Article.h>

#include <Base4c/Subscriber.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class ArticleTreeWidgetItem : public QTreeWidgetItem, public Base4c::Subscriber
	{
		private:
			TaylorsData::Article& _article;

		public:
			ArticleTreeWidgetItem( QTreeWidget* pparent, TaylorsData::Article& article );
			virtual ~ArticleTreeWidgetItem();

			void refresh();

			TaylorsData::Article& article();

			virtual void notify( Base4c::Publisher* ppublisher, Base4c::Publisher::Notification notification, void* pnotifier );
	};
}

#endif // ARTICLETREEWIDGETITEM_H
