#ifndef ARTICLEWINDOW_H
#define ARTICLEWINDOW_H

#include <TaylorsUIComponents/AntiqueManagerChildWindow.h>

#include <TaylorsData/Article.h>

#include <QMainWindow>

class QCloseEvent;

namespace Ui
{
	class ArticleWindow;
}

namespace TaylorsUIComponents
{
	class ArticleWindow : public AntiqueManagerChildWindow
	{
		Q_OBJECT

		private:
			Ui::ArticleWindow *ui;
			TaylorsData::Article _article;
			TaylorsData::Article* _particle;

		public:
			explicit ArticleWindow(QWidget *parent = 0);
			~ArticleWindow();

			void setArticle( TaylorsData::Article& article );
			TaylorsData::Article& article();

		protected:
			virtual void closeEvent( QCloseEvent* pe );

		protected slots:
			void onSave();
	};
}

#endif // ARTICLEWINDOW_H
