#ifndef BULKPURCHASEWINDOW_H
#define BULKPURCHASEWINDOW_H

#include <TaylorsUIComponents/AntiqueManagerChildWindow.h>

#include <TaylorsData/BulkPurchase.h>

#include <QMainWindow>

namespace Ui
{
	class BulkPurchaseWindow;
}

namespace TaylorsUIComponents
{
	class BulkPurchaseWindow : public AntiqueManagerChildWindow
	{
		Q_OBJECT

		private:
			Ui::BulkPurchaseWindow *ui;
			TaylorsData::BulkPurchase& _purchase;

		public:
			explicit BulkPurchaseWindow( QWidget *parent, TaylorsData::BulkPurchase& purchase );
			~BulkPurchaseWindow();

			TaylorsData::BulkPurchase& purchase();

		protected:
			void addArticle( int nRow, TaylorsData::Article* particle );

		protected slots:
			void onCellChanged( int nRow, int nColumn );
			void onCellDblClicked( int nRow, int nColumn );
			void onInsert();
			void onSave();

		protected:
			virtual void closeEvent( QCloseEvent* pe );
	};
}

#endif // BULKPURCHASEWINDOW_H
