#ifndef CATEGORYDIALOG_H
#define CATEGORYDIALOG_H

#include <TaylorsData/Article.h>

#include <QDialog>

class QTreeWidgetItem;

namespace Ui
{
	class CategoryDialog;
}

namespace TaylorsUIComponents
{
	class CategoryDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::CategoryDialog *ui;
			TaylorsData::Article& _article;

		public:
			explicit CategoryDialog( QWidget* parent, TaylorsData::Article& article );
			~CategoryDialog();

		protected slots:
			void onCategoryItemChanged(QTreeWidgetItem* pitem, int nCol );

	};
}

#endif // CATEGORYDIALOG_H
