#ifndef CATEGORYTREEWIDGETITEM_H
#define CATEGORYTREEWIDGETITEM_H

#include <TaylorsData/Category.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class CategoryTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::Category* _pcategory;

		public:
			explicit CategoryTreeWidgetItem( QTreeWidget *pparent, TaylorsData::Category* pcategory );
			explicit CategoryTreeWidgetItem( CategoryTreeWidgetItem *pparent, TaylorsData::Category* pcategory );
			virtual ~CategoryTreeWidgetItem();

			virtual bool operator<( const QTreeWidgetItem& item ) const;

			void refresh();

			TaylorsData::Category& category() const;
	};
}

#endif // CATEGORYTREEWIDGETITEM_H
