#ifndef DESCRIPTIONWIDGET_H
#define DESCRIPTIONWIDGET_H

#include <TaylorsData/Article.h>

#include <QWidget>

namespace Ui
{
	class DescriptionWidget;
}

namespace TaylorsUIComponents
{
	class DescriptionWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::DescriptionWidget *ui;
			TaylorsData::Article* _particle;

		public:
			explicit DescriptionWidget(QWidget *parent = 0);
			~DescriptionWidget();

			void setArticle( TaylorsData::Article& article );
			void save();
	};
}

#endif // DESCRIPTIONWIDGET_H
