#ifndef EDITBULKPURCHASEDIALOG_H
#define EDITBULKPURCHASEDIALOG_H

#include <TaylorsData/BulkPurchase.h>

#include <QDialog>

namespace Ui
{
	class EditBulkPurchaseDialog;
}

namespace TaylorsUIComponents
{
	class EditBulkPurchaseDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::EditBulkPurchaseDialog *ui;
			TaylorsData::BulkPurchase _purchase;
			TaylorsData::BulkPurchase* _ppurchase;

		public:
			explicit EditBulkPurchaseDialog(QWidget *parent = 0);
			~EditBulkPurchaseDialog();

			TaylorsData::BulkPurchase& bulkPurchase();

			void setContainer( const TaylorsData::Container& container );
			void setBulkPurchase( TaylorsData::BulkPurchase& purchase );

		protected slots:
			void accept();
			void onSelChangeBulkPurchaseType( int nIndex );
	};
}

#endif // EDITBULKPURCHASEDIALOG_H
