﻿#ifndef EDITCONTAINERDIALOG_H
#define EDITCONTAINERDIALOG_H

#include <TaylorsData/Container.h>

#include <QDialog>

namespace Ui
{
	class EditContainerDialog;
}

namespace TaylorsUIComponents
{
	class EditContainerDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::EditContainerDialog *ui;
			TaylorsData::Container _container;
			TaylorsData::Container* _pcontainer;

		public:
			explicit EditContainerDialog(QWidget *parent = 0);
			~EditContainerDialog();

			void setContainer( TaylorsData::Container& container );
			TaylorsData::Container& container();

		protected slots:
			void accept();
	};
}

#endif // EDITCONTAINERDIALOG_H
