#ifndef GLOSSARYHIGHLIGHTER_H
#define GLOSSARYHIGHLIGHTER_H

#include <TaylorsData/Glossary.h>

#include <QSyntaxHighlighter>

class QTextEdit;

namespace TaylorsUIComponents
{
	class GlossaryHighlighter : public QSyntaxHighlighter
	{
		private:
			bool _bPrompt;
			QTextEdit* _pedit;
			TaylorsData::GlossaryTextList _textS;

		public:
			GlossaryHighlighter( QTextEdit* pedt, bool bPrompt = true );
			virtual ~GlossaryHighlighter();

			void glossarize();
			const TaylorsData::GlossaryTextList& texts() const;

		protected:
			virtual void highlightBlock( const QString& strText );
	};
}

#endif // GLOSSARYHIGHLIGHTER_H
