#ifndef IMAGETREEWIDGETITEM_H
#define IMAGETREEWIDGETITEM_H

#include <TaylorsData/Image.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class ImageTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::Image& _image;

		public:
			ImageTreeWidgetItem( QTreeWidget* pparent, TaylorsData::Image& image );
			virtual ~ImageTreeWidgetItem();

			TaylorsData::Image& image();
	};
}

#endif // IMAGETREEWIDGETITEM_H
