#ifndef METAITEMWIDGET_H
#define METAITEMWIDGET_H

#include <TaylorsData/Article.h>

#include <QWidget>

namespace Ui
{
	class MetaItemWidget;
}

namespace TaylorsUIComponents
{
	class MetaItemWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::MetaItemWidget *ui;
			TaylorsData::Article* _particle;

		public:
			explicit MetaItemWidget(QWidget *parent = 0);
			~MetaItemWidget();

			void setArticle( TaylorsData::Article& article );
			void save();
	};
}

#endif // METAITEMWIDGET_H
