#ifndef NOTEWIDGET_H
#define NOTEWIDGET_H

#include <TaylorsData/Article.h>

#include <QWidget>
#include <QListWidgetItem>

namespace Ui
{
	class NoteWidget;
}

namespace TaylorsUIComponents
{
	class NoteWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::NoteWidget *ui;
			TaylorsData::Article* _particle;

		public:
			explicit NoteWidget(QWidget *parent = 0);
			~NoteWidget();

			void setArticle( TaylorsData::Article& article );
			void save();

		protected slots:
			void onDblClickedNote( QListWidgetItem* pitem );
	};
}

#endif // NOTEWIDGET_H
