#ifndef OPENCUSTOMERDIALOG_H
#define OPENCUSTOMERDIALOG_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Exception.h>
#include <TaylorsData/Customer.h>

#include <QDialog>

namespace Ui
{
	class OpenCustomerDialog;
}

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT OpenCustomerDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::OpenCustomerDialog *ui;
			TaylorsData::Customer* _pcustomer;

		public:
			explicit OpenCustomerDialog(QWidget *parent = 0);
			~OpenCustomerDialog();

			TaylorsData::Customer& customer();

		protected slots:
			void onCustomerClicked( TaylorsData::Customer& customer );
			void onCustomerDoubleClicked( TaylorsData::Customer& customer );
	};
}

#endif // OPENCUSTOMERDIALOG_H
