#ifndef RESTATUSDIALOG_H
#define RESTATUSDIALOG_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Status.h>

#include <QDialog>

namespace Ui {
class ReStatusDialog;
}

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT ReStatusDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::ReStatusDialog *ui;
			QString _strKeySequence;


		public:
			explicit ReStatusDialog(QWidget *parent = 0);
			~ReStatusDialog();

			void setStatus( const TaylorsData::Status& location );

		protected:

		public slots:
			virtual void accept();
			virtual void reject();
			void onDoneAction();
	};
}

#endif // RESTATUSDIALOG_H
