#ifndef REPORTCOMBOBOX_H
#define REPORTCOMBOBOX_H

#include <TaylorsData/Report.h>

#include <QComboBox>

namespace TaylorsUIComponents
{
	class ReportComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit ReportComboBox(QWidget *parent = 0);

			void repopulate();

			const TaylorsData::Report& currentItem() const;
			void setCurrentItem( const TaylorsData::Report& type );

		signals:

		public slots:

	};
}

#endif // REPORTCOMBOBOX_H
