#ifndef SITECOMBOBOX_H
#define SITECOMBOBOX_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Site.h>
#include <TaylorsData/Exception.h>

#include <QComboBox>

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT SiteComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit SiteComboBox(QWidget *parent = 0);

			const TaylorsData::Site& currentItem() const;

			void setCurrentItem( const TaylorsData::Site& site );

		signals:

		public slots:

	};
}

#endif // SITECOMBOBOX_H
