#ifndef SPLASHWIDGET_H
#define SPLASHWIDGET_H

#include <Base4c/Version.h>

#include <QWidget>

class QLabel;

namespace TaylorsUIComponents
{
	class SplashWidget : public QWidget
	{
		Q_OBJECT

		private:
			QLabel* _plblSplash;
			QLabel* _plblDirectoryManager;
			QLabel* _plblVersion;
			QLabel* _plblCopyright;
			QLabel* _plblProgress;

		public:
			SplashWidget( QWidget* pparent = 0 );
			virtual ~SplashWidget();

			void setProgress( const QString& strMessage = QString() );
	};
}

#endif // SPLASHWIDGET_H
