#ifndef STATUSTREEWIDGETITEM_H
#define STATUSTREEWIDGETITEM_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Status.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT StatusTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::Status& _status;

		public:
			StatusTreeWidgetItem( QTreeWidget* ptree, TaylorsData::Status& status );

			void refresh();
			TaylorsData::Status& status();
	};
}

#endif // STATUSTREEWIDGETITEM_H
