#ifndef TOOLMAINWINDOW_H
#define TOOLMAINWINDOW_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <Auth4cData/AuthenticatedUser.h>

#include <QMainWindow>

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT ToolMainWindow : public QMainWindow
	{
		Q_OBJECT

		public:
			explicit ToolMainWindow(QWidget *parent = 0);

			virtual void authenticateUser( const Auth4cData::AuthenticatedUser& user ) = 0;
	};
}

#endif // TOOLMAINWINDOW_H
